# Enum Class VulkanDriverKnownId

java.lang.Object
java.lang.Enum<VulkanDriverKnownId>
com.io7m.jcoronado.api.VulkanDriverKnownId

All Implemented Interfaces:
  `VulkanDriverIdType`, `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanDriverKnownId>`, `Constable`

public enum VulkanDriverKnownId extends Enum<VulkanDriverKnownId> implements VulkanEnumIntegerType, VulkanDriverIdType

See Also:
  - "VkDriverId"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_DRIVER_ID_AMD_OPEN_SOURCE`
  A recognized driver value.
  `VK_DRIVER_ID_AMD_PROPRIETARY`
  A recognized driver value.
  `VK_DRIVER_ID_ARM_PROPRIETARY`
  A recognized driver value.
  `VK_DRIVER_ID_BROADCOM_PROPRIETARY`
  A recognized driver value.
  `VK_DRIVER_ID_COREAVI_PROPRIETARY`
  A recognized driver value.
  `VK_DRIVER_ID_GGP_PROPRIETARY`
  A recognized driver value.
  `VK_DRIVER_ID_GOOGLE_SWIFTSHADER`
  A recognized driver value.
  `VK_DRIVER_ID_IMAGINATION_PROPRIETARY`
  A recognized driver value.
  `VK_DRIVER_ID_INTEL_OPEN_SOURCE_MESA`
  A recognized driver value.
  `VK_DRIVER_ID_INTEL_PROPRIETARY_WINDOWS`
  A recognized driver value.
  `VK_DRIVER_ID_JUICE_PROPRIETARY`
  A recognized driver value.
  `VK_DRIVER_ID_MESA_LLVMPIPE`
  A recognized driver value.
  `VK_DRIVER_ID_MESA_PANVK`
  A recognized driver value.
  `VK_DRIVER_ID_MESA_RADV`
  A recognized driver value.
  `VK_DRIVER_ID_MESA_TURNIP`
  A recognized driver value.
  `VK_DRIVER_ID_MESA_V3DV`
  A recognized driver value.
  `VK_DRIVER_ID_MOLTENVK`
  A recognized driver value.
  `VK_DRIVER_ID_NVIDIA_PROPRIETARY`
  A recognized driver value.
  `VK_DRIVER_ID_QUALCOMM_PROPRIETARY`
  A recognized driver value.
  `VK_DRIVER_ID_SAMSUNG_PROPRIETARY`
  A recognized driver value.
  `VK_DRIVER_ID_VERISILICON_PROPRIETARY`
  A recognized driver value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanDriverKnownId`
  `of(int driverID)`
  `int`
  `value()`
  `static VulkanDriverKnownId`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanDriverKnownId[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_DRIVER_ID_AMD_PROPRIETARY

    public static final VulkanDriverKnownId VK_DRIVER_ID_AMD_PROPRIETARY
    A recognized driver value.

  - ### VK_DRIVER_ID_AMD_OPEN_SOURCE

    public static final VulkanDriverKnownId VK_DRIVER_ID_AMD_OPEN_SOURCE
    A recognized driver value.

  - ### VK_DRIVER_ID_MESA_RADV

    public static final VulkanDriverKnownId VK_DRIVER_ID_MESA_RADV
    A recognized driver value.

  - ### VK_DRIVER_ID_NVIDIA_PROPRIETARY

    public static final VulkanDriverKnownId VK_DRIVER_ID_NVIDIA_PROPRIETARY
    A recognized driver value.

  - ### VK_DRIVER_ID_INTEL_PROPRIETARY_WINDOWS

    public static final VulkanDriverKnownId VK_DRIVER_ID_INTEL_PROPRIETARY_WINDOWS
    A recognized driver value.

  - ### VK_DRIVER_ID_INTEL_OPEN_SOURCE_MESA

    public static final VulkanDriverKnownId VK_DRIVER_ID_INTEL_OPEN_SOURCE_MESA
    A recognized driver value.

  - ### VK_DRIVER_ID_IMAGINATION_PROPRIETARY

    public static final VulkanDriverKnownId VK_DRIVER_ID_IMAGINATION_PROPRIETARY
    A recognized driver value.

  - ### VK_DRIVER_ID_QUALCOMM_PROPRIETARY

    public static final VulkanDriverKnownId VK_DRIVER_ID_QUALCOMM_PROPRIETARY
    A recognized driver value.

  - ### VK_DRIVER_ID_ARM_PROPRIETARY

    public static final VulkanDriverKnownId VK_DRIVER_ID_ARM_PROPRIETARY
    A recognized driver value.

  - ### VK_DRIVER_ID_GOOGLE_SWIFTSHADER

    public static final VulkanDriverKnownId VK_DRIVER_ID_GOOGLE_SWIFTSHADER
    A recognized driver value.

  - ### VK_DRIVER_ID_GGP_PROPRIETARY

    public static final VulkanDriverKnownId VK_DRIVER_ID_GGP_PROPRIETARY
    A recognized driver value.

  - ### VK_DRIVER_ID_BROADCOM_PROPRIETARY

    public static final VulkanDriverKnownId VK_DRIVER_ID_BROADCOM_PROPRIETARY
    A recognized driver value.

  - ### VK_DRIVER_ID_MESA_LLVMPIPE

    public static final VulkanDriverKnownId VK_DRIVER_ID_MESA_LLVMPIPE
    A recognized driver value.

  - ### VK_DRIVER_ID_MOLTENVK

    public static final VulkanDriverKnownId VK_DRIVER_ID_MOLTENVK
    A recognized driver value.

  - ### VK_DRIVER_ID_COREAVI_PROPRIETARY

    public static final VulkanDriverKnownId VK_DRIVER_ID_COREAVI_PROPRIETARY
    A recognized driver value.

  - ### VK_DRIVER_ID_JUICE_PROPRIETARY

    public static final VulkanDriverKnownId VK_DRIVER_ID_JUICE_PROPRIETARY
    A recognized driver value.

  - ### VK_DRIVER_ID_VERISILICON_PROPRIETARY

    public static final VulkanDriverKnownId VK_DRIVER_ID_VERISILICON_PROPRIETARY
    A recognized driver value.

  - ### VK_DRIVER_ID_MESA_TURNIP

    public static final VulkanDriverKnownId VK_DRIVER_ID_MESA_TURNIP
    A recognized driver value.

  - ### VK_DRIVER_ID_MESA_V3DV

    public static final VulkanDriverKnownId VK_DRIVER_ID_MESA_V3DV
    A recognized driver value.

  - ### VK_DRIVER_ID_MESA_PANVK

    public static final VulkanDriverKnownId VK_DRIVER_ID_MESA_PANVK
    A recognized driver value.

  - ### VK_DRIVER_ID_SAMSUNG_PROPRIETARY

    public static final VulkanDriverKnownId VK_DRIVER_ID_SAMSUNG_PROPRIETARY
    A recognized driver value.

- ## Method Details

  - ### values

    public static VulkanDriverKnownId[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanDriverKnownId valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static VulkanDriverKnownId of(int driverID) throws IllegalArgumentException
    Parameters:
      `driverID` - A driver ID
    Returns:
      A driver id for the given integer value
    Throws:
      `IllegalArgumentException` - For unrecognized IDs

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant